Season Roster

A season roster is the total roster of all persons allowed to play for a team in a season. This does not mean that all these persons will play in a specific match just that they are available to be selected.

Get all rosters for a season

get
/volleyball/o/{organizationId}/seasons/{seasonId}/roster

Return a list of all rosters for a season

chevron-right
lockRequired scopes
This endpoint requires the following scopes:
  • : Read any data from the organization down
Authorizations
OAuth2clientCredentialsRequired

You can create a JSON Web Token (JWT) using the token API call. Each token is given a set of scopes/permissions. Each endpoint has a scope/permission that it requires to run. If your token does not possess the correct scope then you will be unable to make the API call.

Token URL:
Path parameters
organizationIdstring · min: 5 · max: 5Required

The unique identifier of the organization

Example: b1a23
seasonIdstring · uuidRequired

The unique identifier of the season

Example: 009e9276-5c80-11e8-9c2d-fa7ae01bbebc
Query parameters
addedstring · date-timeOptional

Record was added after this date/time. In UTC.

Example: 2018-08-16T02:10:48
externalstringOptional

A comma separated list of fields that will instead be interpreted as an externalId. See External Ids for more information.

Example: entityId,personId
fieldsstringOptional

A comma separated list of fields to display. The response will only display these fields. See Partial Response section for more information.

Example: dob,firstName,organization(id),organizations[name], teams[name,details/metrics/*,tags(id)]
hideNullbooleanOptional

Don't display data fields with null values or empty structures

Example: true
includestringOptional

A comma separated list of resource types to include. See Resource Inclusion for more information.

Example: organizations,fixtures,entities
includeTotalCountbooleanOptional

Include the total number of records matching the filters.

Example: true
limitinteger · int32 · min: 1 · max: 1000Optional

The maximum number of records to return. See Pagination for more information.

Default: 10Example: 10
nameFullLocalContainsstring · min: 2 · max: 50Optional

Fields that allow a 'Contains' query string parameter search for words separated by a space, matching characters left to right. Example: nameFullLocal=David Johnson nameFullLocalContains=Dav will match nameFullLocalContains=John will match nameFullLocalContains=son will not match

Example: Dav and nameFullLocal='David Johnson'
offsetinteger · int32Optional

The offset of the records. See Pagination for more information.

Example: 10
positionstring · enumOptional

Playing position. Can specify multiple values delimited by comma.

  • AM Attacking Midfield
  • C Center
  • CB Center Backcourt
  • CF Centre Forward
  • CH Centre Half
  • D Defender
  • DM Defensive Midfield
  • F Forward
  • FB Full Back
  • FC Forward Center
  • G Goalkeeper
  • GF Guard Forward
  • GK Goal Keeper
  • HB Half Back
  • LB Left Backcourt
  • LF Left Forward
  • LW Left Wingman
  • M Midfielder
  • O Outfielder
  • P Pivot
  • PF Power Forward
  • PG Point Guard
  • RB Right Backcourt
  • RF Right Forward
  • RW Right Wingman
  • S Striker
  • SF Small Forward
  • SG Shooting Guard
  • SW Sweeper
Example: GKPossible values:
sortBystringOptional

Comma-delimited list of one or more fields to sort by. Each field can have '-' as prefix to sort in descending order and no prefix to sort in ascending order.

Example: -bib,position,statusPattern: ^(\-?bib|\-?position|\-?status|,)*$
statusstring · enum · max: 100Optional

Participation status

  • ACTIVE Active
  • INJURED Injured
  • OTHER_NOT_PARTICIPATING Other Non-Participation
  • OUT Out
  • SUSPENSED Suspended
Example: ACTIVEPossible values:
updatedstring · date-timeOptional

Record was modified after this date/time. In UTC.

Example: 2018-08-16T02:11:48
Responses
chevron-right
200

Successful operation

application/json
get
/volleyball/o/{organizationId}/seasons/{seasonId}/roster

Create/Update a roster

post
/volleyball/o/{organizationId}/seasons/{seasonId}/roster

Depending on the data, either add a person to a roster, or update an existing roster

chevron-right
lockRequired scopes
This endpoint requires the following scopes:
  • : Write/Update any data from below the organization
Authorizations
OAuth2clientCredentialsRequired

You can create a JSON Web Token (JWT) using the token API call. Each token is given a set of scopes/permissions. Each endpoint has a scope/permission that it requires to run. If your token does not possess the correct scope then you will be unable to make the API call.

Token URL:
Path parameters
organizationIdstring · min: 5 · max: 5Required

The unique identifier of the organization

Example: b1a23
seasonIdstring · uuidRequired

The unique identifier of the season

Example: 009e9276-5c80-11e8-9c2d-fa7ae01bbebc
Query parameters
externalstringOptional

A comma separated list of fields that will instead be interpreted as an externalId. See External Ids for more information.

Example: entityId,personId
fieldsstringOptional

A comma separated list of fields to display. The response will only display these fields. See Partial Response section for more information.

Example: dob,firstName,organization(id),organizations[name], teams[name,details/metrics/*,tags(id)]
hideNullbooleanOptional

Don't display data fields with null values or empty structures

Example: true
includestringOptional

A comma separated list of resource types to include. See Resource Inclusion for more information.

Example: organizations,fixtures,entities
onExternalIdConflictstring · enumOptional

Strategy to use when request externalId is already owned by a different row in scope.

  • deleteSource Delete source row, then continue upsert
  • error Return 409 conflict and perform no writes
  • move Clear source externalId and continue upsert
  • swap Swap externalId between source and target, then continue upsert
Possible values:
requireExternalIdbooleanOptional

If true, request body must include externalId.

Body
seasonIdstring · uuidOptional

The unique identifier of the season

Example: 009e9276-5c80-11e8-9c2d-fa7ae01bbebc
entityIdstring · uuidOptional

The unique identifier of the team

Example: 009e9276-5c80-11e8-9c2d-fa7ae01bbebc
entityGroupIdstring · uuid · nullableOptional

The club that this team belongs to

Example: 009e9276-5c80-11e8-9c2d-fa7ae01bbebc
divisionIdstring · uuid · nullableOptional

The unique identifier of the division

Example: 009e9276-5c80-11e8-9c2d-fa7ae01bbebc
conferenceIdstring · uuid · nullableOptional

The unique identifier of the conference

Example: 009e9276-5c80-11e8-9c2d-fa7ae01bbebc
personIdstring · uuidOptional

The unique identifier of the person

Example: 009e9276-5c80-11e8-9c2d-fa7ae01bbebc
bibstring · max: 100 · nullableOptional

The number displayed on the jersey

Example: 34
positionstring · max: 100 · nullableOptional

Playing position

Example: GOALKEEPER
statusstring · enum · max: 100Required

Participation status

  • ACTIVE Active
  • INJURED Injured
  • OTHER_NOT_PARTICIPATING Other Non-Participation
  • OUT Out
  • SUSPENDED Suspended
Example: ACTIVEPossible values:
externalIdstring · max: 150 · nullableOptional

The Id of the data as set by the provider of the data

Example: A123Pattern: ^[0-9A-Za-z/_-]+$
Responses
chevron-right
200

Successful operation

application/json
post
/volleyball/o/{organizationId}/seasons/{seasonId}/roster

Get the roster for a team for the season

get
/volleyball/o/{organizationId}/seasons/{seasonId}/entities/{entityId}/roster

Return the roster for a team for the season

chevron-right
lockRequired scopes
This endpoint requires the following scopes:
  • : Read any data from the organization down
Authorizations
OAuth2clientCredentialsRequired

You can create a JSON Web Token (JWT) using the token API call. Each token is given a set of scopes/permissions. Each endpoint has a scope/permission that it requires to run. If your token does not possess the correct scope then you will be unable to make the API call.

Token URL:
Path parameters
entityIdstring · uuidRequired

The unique identifier of the team

Example: 009e9276-5c80-11e8-9c2d-fa7ae01bbebc
organizationIdstring · min: 5 · max: 5Required

The unique identifier of the organization

Example: b1a23
seasonIdstring · uuidRequired

The unique identifier of the season

Example: 009e9276-5c80-11e8-9c2d-fa7ae01bbebc
Query parameters
addedstring · date-timeOptional

Record was added after this date/time. In UTC.

Example: 2018-08-16T02:10:48
externalstringOptional

A comma separated list of fields that will instead be interpreted as an externalId. See External Ids for more information.

Example: entityId,personId
fieldsstringOptional

A comma separated list of fields to display. The response will only display these fields. See Partial Response section for more information.

Example: dob,firstName,organization(id),organizations[name], teams[name,details/metrics/*,tags(id)]
hideNullbooleanOptional

Don't display data fields with null values or empty structures

Example: true
includestringOptional

A comma separated list of resource types to include. See Resource Inclusion for more information.

Example: organizations,fixtures,entities
includeTotalCountbooleanOptional

Include the total number of records matching the filters.

Example: true
limitinteger · int32 · min: 1 · max: 1000Optional

The maximum number of records to return. See Pagination for more information.

Default: 10Example: 10
nameFullLocalContainsstring · min: 2 · max: 50Optional

Fields that allow a 'Contains' query string parameter search for words separated by a space, matching characters left to right. Example: nameFullLocal=David Johnson nameFullLocalContains=Dav will match nameFullLocalContains=John will match nameFullLocalContains=son will not match

Example: Dav and nameFullLocal='David Johnson'
offsetinteger · int32Optional

The offset of the records. See Pagination for more information.

Example: 10
positionstring · enumOptional

Playing position. Can specify multiple values delimited by comma.

  • AM Attacking Midfield
  • C Center
  • CB Center Backcourt
  • CF Centre Forward
  • CH Centre Half
  • D Defender
  • DM Defensive Midfield
  • F Forward
  • FB Full Back
  • FC Forward Center
  • G Goalkeeper
  • GF Guard Forward
  • GK Goal Keeper
  • HB Half Back
  • LB Left Backcourt
  • LF Left Forward
  • LW Left Wingman
  • M Midfielder
  • O Outfielder
  • P Pivot
  • PF Power Forward
  • PG Point Guard
  • RB Right Backcourt
  • RF Right Forward
  • RW Right Wingman
  • S Striker
  • SF Small Forward
  • SG Shooting Guard
  • SW Sweeper
Example: GKPossible values:
sortBystringOptional

Comma-delimited list of one or more fields to sort by. Each field can have '-' as prefix to sort in descending order and no prefix to sort in ascending order.

Example: -bib,position,statusPattern: ^(\-?bib|\-?position|\-?status|,)*$
statusstring · enum · max: 100Optional

Participation status

  • ACTIVE Active
  • INJURED Injured
  • OTHER_NOT_PARTICIPATING Other Non-Participation
  • OUT Out
  • SUSPENSED Suspended
Example: ACTIVEPossible values:
updatedstring · date-timeOptional

Record was modified after this date/time. In UTC.

Example: 2018-08-16T02:11:48
Responses
chevron-right
200

Successful operation

application/json
get
/volleyball/o/{organizationId}/seasons/{seasonId}/entities/{entityId}/roster

Get the rosters for a team for all seasons

get
/volleyball/o/{organizationId}/seasons/entities/{entityId}/roster

Return the rosters for a team for all seasons

chevron-right
lockRequired scopes
This endpoint requires the following scopes:
  • : Read any data from the organization down
Authorizations
OAuth2clientCredentialsRequired

You can create a JSON Web Token (JWT) using the token API call. Each token is given a set of scopes/permissions. Each endpoint has a scope/permission that it requires to run. If your token does not possess the correct scope then you will be unable to make the API call.

Token URL:
Path parameters
entityIdstring · uuidRequired

The unique identifier of the team

Example: 009e9276-5c80-11e8-9c2d-fa7ae01bbebc
organizationIdstring · min: 5 · max: 5Required

The unique identifier of the organization

Example: b1a23
Query parameters
addedstring · date-timeOptional

Record was added after this date/time. In UTC.

Example: 2018-08-16T02:10:48
externalstringOptional

A comma separated list of fields that will instead be interpreted as an externalId. See External Ids for more information.

Example: entityId,personId
fieldsstringOptional

A comma separated list of fields to display. The response will only display these fields. See Partial Response section for more information.

Example: dob,firstName,organization(id),organizations[name], teams[name,details/metrics/*,tags(id)]
hideNullbooleanOptional

Don't display data fields with null values or empty structures

Example: true
includestringOptional

A comma separated list of resource types to include. See Resource Inclusion for more information.

Example: organizations,fixtures,entities
includeTotalCountbooleanOptional

Include the total number of records matching the filters.

Example: true
limitinteger · int32 · min: 1 · max: 1000Optional

The maximum number of records to return. See Pagination for more information.

Default: 10Example: 10
offsetinteger · int32Optional

The offset of the records. See Pagination for more information.

Example: 10
seasonIdsstring · uuidOptional

The unique identifiers of the seasons (comma-delimited).

Example: 042d1726-358c-11f1-a5c6-b81ea454b039,06e92aae-358c-11f1-a5c6-b81ea454b039
statusstring · enum · max: 100Optional

Participation status

  • ACTIVE Active
  • INJURED Injured
  • OTHER_NOT_PARTICIPATING Other Non-Participation
  • OUT Out
  • SUSPENSED Suspended
Example: ACTIVEPossible values:
updatedstring · date-timeOptional

Record was modified after this date/time. In UTC.

Example: 2018-08-16T02:11:48
Responses
chevron-right
200

Successful operation

application/json
get
/volleyball/o/{organizationId}/seasons/entities/{entityId}/roster

Get the roster detail for a person for the season

get
/volleyball/o/{organizationId}/seasons/{seasonId}/persons/{personId}/roster

Return the detailed roster detail for a specific person for the season

chevron-right
lockRequired scopes
This endpoint requires the following scopes:
  • : Read any data from the organization down
Authorizations
OAuth2clientCredentialsRequired

You can create a JSON Web Token (JWT) using the token API call. Each token is given a set of scopes/permissions. Each endpoint has a scope/permission that it requires to run. If your token does not possess the correct scope then you will be unable to make the API call.

Token URL:
Path parameters
organizationIdstring · min: 5 · max: 5Required

The unique identifier of the organization

Example: b1a23
personIdstring · uuidRequired

The unique identifier of the person

Example: 009e9276-5c80-11e8-9c2d-fa7ae01bbebc
seasonIdstring · uuidRequired

The unique identifier of the season

Example: 009e9276-5c80-11e8-9c2d-fa7ae01bbebc
Query parameters
externalstringOptional

A comma separated list of fields that will instead be interpreted as an externalId. See External Ids for more information.

Example: entityId,personId
fieldsstringOptional

A comma separated list of fields to display. The response will only display these fields. See Partial Response section for more information.

Example: dob,firstName,organization(id),organizations[name], teams[name,details/metrics/*,tags(id)]
hideNullbooleanOptional

Don't display data fields with null values or empty structures

Example: true
includestringOptional

A comma separated list of resource types to include. See Resource Inclusion for more information.

Example: organizations,fixtures,entities
includeTotalCountbooleanOptional

Include the total number of records matching the filters.

Example: true
limitinteger · int32 · min: 1 · max: 1000Optional

The maximum number of records to return. See Pagination for more information.

Default: 10Example: 10
offsetinteger · int32Optional

The offset of the records. See Pagination for more information.

Example: 10
statusstring · enum · max: 100Optional

Participation status

  • ACTIVE Active
  • INJURED Injured
  • OTHER_NOT_PARTICIPATING Other Non-Participation
  • OUT Out
  • SUSPENSED Suspended
Example: ACTIVEPossible values:
Responses
chevron-right
200

Successful operation

application/json
get
/volleyball/o/{organizationId}/seasons/{seasonId}/persons/{personId}/roster

Delete a season roster

delete
/volleyball/o/{organizationId}/seasons/{seasonId}/persons/{personId}/roster

Delete a person from the roster in a season

chevron-right
lockRequired scopes
This endpoint requires the following scopes:
  • : Write/Update any data from below the organization
Authorizations
OAuth2clientCredentialsRequired

You can create a JSON Web Token (JWT) using the token API call. Each token is given a set of scopes/permissions. Each endpoint has a scope/permission that it requires to run. If your token does not possess the correct scope then you will be unable to make the API call.

Token URL:
Path parameters
organizationIdstring · min: 5 · max: 5Required

The unique identifier of the organization

Example: b1a23
personIdstring · uuidRequired

The unique identifier of the person

Example: 009e9276-5c80-11e8-9c2d-fa7ae01bbebc
seasonIdstring · uuidRequired

The unique identifier of the season

Example: 009e9276-5c80-11e8-9c2d-fa7ae01bbebc
Query parameters
externalstringOptional

A comma separated list of fields that will instead be interpreted as an externalId. See External Ids for more information.

Example: entityId,personId
fieldsstringOptional

A comma separated list of fields to display. The response will only display these fields. See Partial Response section for more information.

Example: dob,firstName,organization(id),organizations[name], teams[name,details/metrics/*,tags(id)]
forceDeletebooleanOptional

Force a delete command to run and delete child records as well if there are existing records depending on the record.

Example: true
hideNullbooleanOptional

Don't display data fields with null values or empty structures

Example: true
includestringOptional

A comma separated list of resource types to include. See Resource Inclusion for more information.

Example: organizations,fixtures,entities
Responses
chevron-right
200

Successful operation

application/json
delete
/volleyball/o/{organizationId}/seasons/{seasonId}/persons/{personId}/roster

Last updated

Was this helpful?